Package org.picocontainer.containers

# Class SystemPropertiesPicoContainer

java.lang.Object
org.picocontainer.containers.AbstractDelegatingPicoContainer
org.picocontainer.containers.PropertiesPicoContainer
org.picocontainer.containers.SystemPropertiesPicoContainer

All Implemented Interfaces:
  `Serializable`, `Converting`, `PicoContainer`

public class SystemPropertiesPicoContainer extends PropertiesPicoContainer
A container backed by system properties (is a PropertiesPicoContainer)

Author:
  Konstantin Pribluda
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SystemPropertiesPicoContainer()`
`SystemPropertiesPicoContainer(PicoContainer parent)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.picocontainer.containers.PropertiesPicoContainer

`setName`

### Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer

`accept, equals, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getConverters, getDelegate, getParent`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SystemPropertiesPicoContainer

public SystemPropertiesPicoContainer()

### SystemPropertiesPicoContainer

public SystemPropertiesPicoContainer(PicoContainer parent)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `PropertiesPicoContainer`